play

## Enum Play.Mode

- java.lang.Object
- - java.lang.Enum<Play.Mode>
  - - play.Play.Mode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Play.Mode>
  Enclosing class:
    Play

      public static enum Play.Mode
      extends java.lang.Enum<Play.Mode>

  2 modes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEV` Enable development-specific features, e.g.
    `PROD` Disable development-specific features.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isDev()`
    `boolean` | `isProd()`
    `static Play.Mode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Play.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEV

          public static final Play.Mode DEV

      Enable development-specific features, e.g. view the documentation at the URL "/@documentation".

    - #### PROD

          public static final Play.Mode PROD

      Disable development-specific features.

  - ### Method Detail

    - #### values

          public static Play.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Play.Mode c : Play.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Play.Mode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isDev

          public boolean isDev()

    - #### isProd

          public boolean isProd()

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly